Bug 266290 - System Settings help facility unusable
Summary: System Settings help facility unusable
Status: RESOLVED FIXED
Alias: None
Product: khelpcenter
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Documentation Editorial Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-14 13:12 UTC by George R. Goffe
Modified: 2016-03-12 23:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
patch for handbook (1.83 KB, patch)
2011-04-11 20:21 UTC, Burkhard Lück
Details

Note You need to log in before you can comment on or make changes to this bug.
Description George R. Goffe 2011-02-14 13:12:59 UTC
Version:           unspecified (using KDE 4.5.5) 
OS:                Linux

I'm trying to change my cursor theme, i.e., the shape/color and tried to find this in system settings so I invoked the help facility. After building the index, I was still not able to find just where in System Settings one performs this action. I have seen the dialogue in Settings but can't remember where it's locate. The help facility was not helpful.

Additionally, I tried to use the help "create a bug" process but it failed as well, giving a popup that lists possible causes as server down, firewall protecting my system/network, the server/server network.


Reproducible: Always

Steps to Reproduce:
See details above.

Actual Results:  
See details above.

Expected Results:  
Some instructions/hints/tips as to where one would look for this.
Comment 1 Burkhard Lück 2011-04-11 20:21:40 UTC
Created attachment 58805 [details]
patch for handbook
Comment 2 Ben Cooksley 2011-04-11 22:00:19 UTC
Patch looks fine Burkhard, please commit.
Comment 3 Burkhard Lück 2011-04-12 15:48:36 UTC
Git commit fa895a2b8de0c5dabc2c212d65b2d00a4dc0904c by Burkhard Lück.
Committed on 12/04/2011 at 12:24.
Pushed by lueck into branch 'master'.

add description of search feature to documentation

CCBUG:266290

M  +5    -2    doc/systemsettings/index.docbook     

http://commits.kde.org/kde-workspace/fa895a2b8de0c5dabc2c212d65b2d00a4dc0904c
Comment 4 Ben Cooksley 2011-04-14 06:02:29 UTC
Remainder of this bug concerns the help system, reassigning to KHelpCenter.
Comment 5 Pino Toscano 2016-03-12 23:25:35 UTC
Git commit 583ed246c75ce2c686957b6e1dc34aaed31206b4 by Pino Toscano.
Committed on 12/03/2016 at 23:01.
Pushed by pino into branch 'master'.

Add Xapian support for indexing and searching

Start using Xapian for indexing and searching the documentation: it
works much better than htp://dig, it provides a C++ API, and it is well
maintained.

Introduce two helper tools to create/update an index, and search on it,
starting from the cache.bz2 files generated by meinproc: this way it is
possible to index the whole text, with the entities already expanded
(something which would not be there when parsing the docbook files
directly). Make use of libxml2 to parse the HTML documents, and get all
the text in them.

Xapian and libxml2 are currently considered as mandatory dependencies:
they are portable, generally available everywhere, and not requiring
themselves too many extra dependencies.
Related: bug 126710, bug 93664, bug 103266, bug 115935, bug 122437, bug 125276, bug 152671, bug 158633, bug 209415, bug 256397

M  +13   -0    CMakeLists.txt
M  +35   -0    searchhandlers/CMakeLists.txt
A  +134  -0    searchhandlers/cachereader.cpp     [License: GPL (v2+)]
A  +49   -0    searchhandlers/cachereader.h     [License: GPL (v2+)]
A  +107  -0    searchhandlers/htmltextdump.cpp     [License: GPL (v2+)]
A  +29   -0    searchhandlers/htmltextdump.h     [License: GPL (v2+)]
A  +5    -0    searchhandlers/xapian.desktop.cmake
A  +126  -0    searchhandlers/xapiancommon.cpp     [License: GPL (v2+)]
A  +50   -0    searchhandlers/xapiancommon.h     [License: GPL (v2+)]
A  +269  -0    searchhandlers/xapianindexer.cpp     [License: GPL (v2+)]
A  +151  -0    searchhandlers/xapiansearch.cpp     [License: GPL (v2+)]

http://commits.kde.org/khelpcenter/583ed246c75ce2c686957b6e1dc34aaed31206b4
Comment 6 Pino Toscano 2016-03-12 23:26:03 UTC
Git commit cafde04221d0f0d20b042f9afcf63669f23b7a1d by Pino Toscano.
Committed on 12/03/2016 at 23:02.
Pushed by pino into branch 'master'.

Re-enable the full-index search

Now that
- Xapian is in place for indexing and searching
- ht://dig is removed
- indexes are updated automatically each startup
we can enable the full-index search again.
Related: bug 57897, bug 93664, bug 103266, bug 112958, bug 115935, bug 161514, bug 173767, bug 207519, bug 222494, bug 237329, bug 269260, bug 269619

M  +1    -3    navigator.cpp

http://commits.kde.org/khelpcenter/cafde04221d0f0d20b042f9afcf63669f23b7a1d